## drgeo 0.8.3

=== po/Makefile ===

LINGUAS=fr
INSTALL=/usr/bin/install
LOCALEDIR=/usr/share/locale
DESTDIR=

po:
	for i in $(LINGUAS); do \
		msgfmt -o DrGeo.mo-$$i DrGeo.po-$$i; \
	done;
install:
	for i in $(LINGUAS); do \
		$(INSTALL) --mode=0644 DrGeo.mo-$$i $(DESTDIR)$(LOCALEDIR)/$$i/LC_MESSAGES/DrGeo.mo; \
	done;

=== src/Makefile ===
OBJ = obj/main.o obj/geoclass.o obj/traite.o obj/complexe.o obj/graphic.o obj/gui.o obj/point.o obj/droite.o obj/demi_droite.o obj/segment.o obj/vecteur.o obj/cercle.o obj/valeur.o obj/angle.o obj/coordonnees.o obj/arc_cercle.o obj/lieu.o obj/tree.o obj/equation.o obj/mode_obj.o
IPATH=-I- -I/usr/include -I. `gtk-config --cflags` 
# `xml-config --cflags`
LPATH=-L/usr/lib `gtk-config --libs` 
#`xml-config --libs`
LIB=
FLAG=-pedantic -ffast-math -g -O2
LINK=
CXX=gcc
INSTALL=/usr/bin/install
DESTDIR=

drgeo : $(OBJ)
	$(CXX)  -o ../drgeo  $(LPATH) $(OBJ) $(LIB)  $(LINK)
obj/main.o : main.cc main.h geoclass.h mode_obj.h var_decl.h traite.h gui.h define.h
	$(CXX) -c $(FLAG) main.cc $(IPATH) -o obj/main.o 
obj/geoclass.o : geoclass.cc complexe.h geoclass.h graphic.h traite.h define.h 
	$(CXX) -c $(FLAG) geoclass.cc $(IPATH) -o obj/geoclass.o
obj/point.o : point.cc point.h
	$(CXX) -c $(FLAG) point.cc $(IPATH) -o obj/point.o
obj/droite.o : droite.cc droite.h
	$(CXX) -c $(FLAG) droite.cc $(IPATH) -o obj/droite.o
obj/demi_droite.o : demi_droite.cc demi_droite.h
	$(CXX) -c $(FLAG) demi_droite.cc $(IPATH) -o obj/demi_droite.o
obj/segment.o : segment.cc segment.h
	$(CXX) -c $(FLAG) segment.cc $(IPATH) -o obj/segment.o
obj/vecteur.o : vecteur.cc vecteur.h
	$(CXX) -c $(FLAG) vecteur.cc $(IPATH) -o obj/vecteur.o
obj/cercle.o : cercle.cc cercle.h
	$(CXX) -c $(FLAG) cercle.cc $(IPATH) -o obj/cercle.o
obj/arc_cercle.o : arc_cercle.cc arc_cercle.h
	$(CXX) -c $(FLAG) arc_cercle.cc $(IPATH) -o obj/arc_cercle.o
obj/lieu.o : lieu.cc lieu.h
	$(CXX) -c $(FLAG) lieu.cc $(IPATH) -o obj/lieu.o
obj/valeur.o : valeur.cc valeur.h
	$(CXX) -c $(FLAG) valeur.cc $(IPATH) -o obj/valeur.o
obj/equation.o : equation.cc equation.h
	$(CXX) -c $(FLAG) equation.cc $(IPATH) -o obj/equation.o
obj/angle.o : angle.cc angle.h
	$(CXX) -c $(FLAG) angle.cc $(IPATH) -o obj/angle.o
obj/coordonnees.o : coordonnees.cc coordonnees.h
	$(CXX) -c $(FLAG) coordonnees.cc $(IPATH) -o obj/coordonnees.o
obj/traite.o : traite.cc geoclass.h gui.h traite.h main.h define.h
	$(CXX) -c $(FLAG) traite.cc $(IPATH) -o obj/traite.o
obj/complexe.o : complexe.cc complexe.h 
	$(CXX) -c $(FLAG) complexe.cc $(IPATH) -o obj/complexe.o
obj/graphic.o : graphic.cc graphic.h 
	$(CXX) -c $(FLAG) graphic.cc $(IPATH) -o obj/graphic.o
obj/gui.o : gui.cc gui.h classbase.h mode_obj.h main.h traite.h define.h
	$(CXX) -c $(FLAG) gui.cc $(IPATH) -o obj/gui.o
obj/tree.o : tree.cc tree.h
	$(CXX) -c $(FLAG) tree.cc $(IPATH) -o obj/tree.o
obj/mode_obj.o : mode_obj.cc mode_obj.h
	$(CXX) -c $(FLAG) mode_obj.cc $(IPATH) -o obj/mode_obj.o
clean:
	-rm -f obj/*.o
	-rm -f ../drgeo
install:
	$(INSTALL) --mode=0755 ../drgeo $(DESTDIR)/usr/bin/drgeo
	$(INSTALL) --mode=0755 ../drgeo.png $(DESTDIR)/usr/share/pixmaps

## drgeo 1.1.0

=== debian/changelog ===
drgeo (1.1.0-10.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove vestigial libguile-ltdl-1 dependency. (Closes: 707903)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 07 Sep 2014 12:58:13 -0500

drgeo (1.1.0-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - Bump up "Build-Depends: guile-1.8-dev" from 1.6, not fully fixed issue
      since migrate to guile-2.0-dev is not satisfied but once closed it
      (Closes: #707903)

 -- Hideki Yamane <henrich@debian.org>  Fri, 07 Feb 2014 22:55:50 +0900

drgeo (1.1.0-10) unstable; urgency=low

  [ Francisco Manuel Garcia Claramonte ]
  * Rebuilt debian patches with quilt.
  * Applied the patch sent by Jar Aalto. (Closes: #670725).
  * Fixed two minor sintax typos in debian/drgeo.1

  [ Patch provided by Jari Aalto ]
  * Removed deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Updated to Standards-Version to 3.9.3 and debhelper to 9.
  * Added build-arch and build-indep targets; use dh_prep in rules file.
  * Patched 05 rm; move updating config.* files to rules file.
  * Fixed binary-or-shlib-defines-rpath (Lintian); add depends chrpath.
  * Fixed copyright-refers-to-symlink-license (Lintian).
  * Fixed description-synopsis-starts-with-article (Lintian).
  * Fixed desktop-entry-contains-encoding-key (Lintian).
  * Fixed description-synopsis-starts-with-article (Lintian).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 07 May 2012 21:24:45 +0200

drgeo (1.1.0-9) unstable; urgency=low

  * Fixed the ftbfs with gcc-4.5. Applied the Ubuntu patch (based on
    openSuse patch). Thanks to Fabrice Coutadeur (Closes: #564977).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 17 Nov 2010 20:32:20 +0100

drgeo (1.1.0-8) unstable; urgency=low

  * Added libltdl-dev build depends for hurd-i386 architecture.
  * Updated Debian policy to 3.9.1

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Wed, 04 Aug 2010 11:27:27 +0200

drgeo (1.1.0-7) unstable; urgency=low

  * Updated Debian policy to 3.9.0
  * Added new dpatch file to make x-www-browser the default html
    viewer, instead dillo.
  * Added debian/source/format file.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 03 Jul 2010 17:02:09 +0200

drgeo (1.1.0-6) unstable; urgency=low

  * Added libltdl-dev build depends for kfreebsd-amd64 and kfreebsd-i386
    architectures (Closes: #570874).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 13 Mar 2010 11:47:41 +0100

drgeo (1.1.0-5) unstable; urgency=low

  * Added debian/README.source file explaining how dpatch works, according to
    Debian Policy.
  * Updated Debian policy to 3.8.4.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 20 Feb 2010 10:48:01 +0100

drgeo (1.1.0-4) unstable; urgency=low

  * Updated Debian policy to 3.8.2
  * Updated Maintainer control field to @debian.org.
  * Added new dpatch file to fix de problem with outdated config.{guess,sub}
    files. Updated with autotools-dev (Closes: #538884).
  * Removed the unsued /usr/X11R6/include/pixmaps in debian/dirs. Cleaned
    up in debian/rules too.
  * Updated GPL reference in debian/copyright to GPL-2.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 01 Aug 2009 13:34:40 +0200

drgeo (1.1.0-3) unstable; urgency=low

  * Fixed debian/rules file:
    - Changed pwd command to $(CURDIR) (Closes: #526728).
    - Changed dh_clean to dh_prep to avoid a lintian warning.
    - Cleaned up unneeded comments.
  * Updated to Debian policy 3.8.1.
  * Added Homepage control field with drgeo web page in gnu
    project web site.
  * Changed the long description control field with new web
    page reference, the old web page was removed.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 09 May 2009 18:41:49 +0200

drgeo (1.1.0-2) unstable; urgency=low

  * New maintainer.
  * Upgraded depends control field from 5 to 7.
  * Upgraded debhelper compatibillity file to 7.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 09 Feb 2009 23:45:39 +0100

drgeo (1.1.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Changed the debian/patches/*.dpatch license, from GPL3 to GPL2, or
    any later version.
  * Changed the debian/copyright license field according to the Drgeo
    license, GPL2 or any other later version.
  * Closed the bug #506617, It was fixed in the previous NMU. 
    (Closes: #506617)
  * CLosed the bug #384744, it was fixed in and old previous release.
    (Closes: #384744)

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed, 26 Nov 2008 23:53:39 +0100

drgeo (1.1.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed the drgo.desktop file, added the debian/drgeo_32x32.xpm file.
    Added a dpatch file. This icon has been generated from glade/drgeo.png.
    (Closes: #466996).
  * Fixed the problem with debian/watch file. Thanks to Raphael Geissert
    <atomo64@gmail.com> for the patch (Closes: #449758).
  * Fixed the problem rendering description with Aptitude. Thanks to 
    Tomas Pospisek <tpo_deb@sourcepole.ch> for the patch (Closes: #389137).
  * Updated to Debian policy 3.8.0.1
  * Added a dpatch file to fix the problem with setting the x-www-browser
    as a renderer html viewer. (Closes: #284075).
  * Updated debian/rules Debianhelper compatibility version to 5.
  * Alter the dh_installdeb call after dh_makeshlibs and dh_shlibdeps calls in
    debian/rules to avoid a lintian warning.
  * Modified debian/menu file according to the Debian menu sub-policy, added the
    debian/drgeo_32x32.xpm icon.
  * Added the license to the debian/copyright file.
  * Updated Build-Depends control field to debhelper (>> 5.0.0) from 4.0.0.
  * Fixed the segfaults problem. This problem is fixed in Ubuntu launchpad
    (LP #257797). Thanks to Pietro Battiston <toobaz@email.it> for his report.
    (Closes: #505554).



=== debian/control ===
Source: drgeo
Section: math
Priority: extra
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Build-Depends: debhelper (>= 9), libglib2.0-dev, libgtk2.0-dev, libglade2-dev, libxml2-dev, guile-1.8-dev, intltool, libxml-parser-perl, autotools-dev, libltdl-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386], chrpath
Standards-Version: 3.9.3
Homepage: http://www.gnu.org/software/dr_geo/dr_geo.html

Package: drgeo
Architecture: any
Recommends: drgeo-doc
Depends: ${shlibs:Depends}, ${misc:Depends}, imagemagick
Replaces: drgenius
Description: interactive geometry software
 This is the Gtk interactive geometry software. It allows one
 to create geometric figure plus the interactive manipulation of such
 figure in respect with their geometric constraints. It is usable in
 teaching situation with students from primary or secondary level.
 .
 Dr. Geo comes with a complete set of tools arranged
 in different categories:
 .
  * points
  * lines
  * geometric transformations
  * numeric function
  * macro-construction
  * DGS object - Dr. Geo Guile Script
  * DSF - Dr Geo Scheme Figure, it is interactive figure defined in  
    a file and evaluated with the embedded Scheme interpretor, awesome!
  * Export facilities in the LaTeX and EPS formats
 .
 Several figures and macro-constructions examples are available
 in the /usr/share/drgeo/examples folder.
 .
 More information about Dr. Geo can be found at
 its web site http://www.gnu.org/software/dr_geo/dr_geo.html
 .
 Installing the drgeo-doc package is also encouraged to get
 more of Dr. Geo.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

ifeq ($(DEB_BUILD_ARCH),hppa)
  EXTRACFLAGS=-ffunction-sections
else
  EXTRACFLAGS=
endif

build-arch: build
build-indep: build

build: build-stamp
build-stamp:
	dh_testdir
	cp -vf /usr/share/misc/config.sub /usr/share/misc/config.guess .
	CFLAGS="${EXTRACFLAGS}" ./configure --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.guess config.sub
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install prefix=$(CURDIR)/debian/drgeo/usr
	install -m 644 $(CURDIR)/debian/drgeo_32x32.xpm $(CURDIR)/debian/drgeo/usr/share/pixmaps
	mkdir -p $(CURDIR)/debian/drgeo/usr/share/doc/drgeo/
	chrpath -d debian/drgeo/usr/bin/drgeo

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
# binary-indep: DH_OPTIONS=-i
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman debian/drgeo.1 debian/tm_drgeo.1
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
